%global scl_name_base paraview
%global scl_name_version 398
%global scl %{scl_name_base}%{scl_name_version}

%scl_package %scl
%global _turn_off_bytecompile 1

%global install_scl 1

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 3%{?dist}
BuildArch: noarch
License: GPLv2+
#Requires: %{scl_prefix}less
BuildRequires: scl-utils-build
%{?scl:Requires: %scl_runtime}

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_scl_scripts}/root
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}:\$PATH
EOF
%scl_install

%files

%files runtime
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Tue Nov 25 2014 Stuart Campbell <sic@fedoraproject.org> 1-1
- Initial package